org.apache.ignite.internal.processors.cache.binary

## Class CacheObjectBinaryContext

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.CacheObjectContext
  - - org.apache.ignite.internal.processors.cache.binary.CacheObjectBinaryContext

All Implemented Interfaces:
  CacheObjectValueContext

    public class CacheObjectBinaryContext
    extends CacheObjectContext

### Constructor Summary

Constructors
Constructor and Description
`CacheObjectBinaryContext(GridKernalContext kernalCtx, CacheConfiguration ccfg, boolean cpyOnGet, boolean storeVal, boolean binaryEnabled, boolean depEnabled)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `binaryEnabled()`

### Methods inherited from class org.apache.ignite.internal.processors.cache.CacheObjectContext

`addDeploymentInfo, cacheName, copyOnGet, defaultAffMapper, kernalContext, storeValue, unwrapBinaryIfNeeded`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CacheObjectBinaryContext

    public CacheObjectBinaryContext(GridKernalContext kernalCtx,
                                    CacheConfiguration ccfg,
                                    boolean cpyOnGet,
                                    boolean storeVal,
                                    boolean binaryEnabled,
                                    boolean depEnabled)

Parameters:
  `kernalCtx` - Kernal context.
  `ccfg` - Cache configuration.
  `binaryEnabled` - Binary enabled flag.
  `cpyOnGet` - Copy on get flag.
  `storeVal` - `True` if should store unmarshalled value in cache.
  `depEnabled` - `true` if deployment is enabled for the given cache.

### Method Detail

#### binaryEnabled

    public boolean binaryEnabled()

Specified by:
  `binaryEnabled` in interface `CacheObjectValueContext`
Overrides:
  `binaryEnabled` in class `CacheObjectContext`
Returns:
  Binary enabled flag.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018